Date: Sunday, December 4, 2011 @ 12:36:43
  Author: remy
Revision: 144314

archrelease: copy trunk to testing-any

Added:
  texlive-publishers/repos/testing-any/
  texlive-publishers/repos/testing-any/Changelog
    (from rev 144313, texlive-publishers/trunk/Changelog)
  texlive-publishers/repos/testing-any/PKGBUILD
    (from rev 144313, texlive-publishers/trunk/PKGBUILD)
  texlive-publishers/repos/testing-any/texlive.install
    (from rev 144313, texlive-publishers/trunk/texlive.install)

-----------------+
 Changelog       |   53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 PKGBUILD        |   43 +++++++++++++++++++++++++++++++++++++++++++
 texlive.install |   12 ++++++++++++
 3 files changed, 108 insertions(+)

Copied: texlive-publishers/repos/testing-any/Changelog (from rev 144313, 
texlive-publishers/trunk/Changelog)
===================================================================
--- testing-any/Changelog                               (rev 0)
+++ testing-any/Changelog       2011-12-04 17:36:43 UTC (rev 144314)
@@ -0,0 +1,53 @@
+texlive-publishers 2011.24723
+
+ - upgrade package aomart 21666 -> 23349
+ - new package apa6
+ - upgrade package apa6e 21585 -> 23350
+ - upgrade package arsclassica 17051 -> 23434
+ - upgrade package ascelike 18785 -> 24568
+ - new package cascadilla
+ - upgrade package classicthesis 21196 -> 23354
+ - upgrade package cmpj 22062 -> 23860
+ - upgrade package confproc 20346 -> 23358
+ - new package ejpecp
+ - new package fcltxdoc
+ - new package kdgdocs
+ - new package msu-thesis
+ - new package musuos
+ - upgrade package muthesis 20697 -> 23861
+ - upgrade package philosophersimprint 15878 -> 24674
+ - new package sapthesis
+ - upgrade package stellenbosch 15878 -> 23900
+ - upgrade package suftesi 19798 -> 24552
+ - upgrade package thuthesis 15878 -> 24361
+ - upgrade package toptesi 22647 -> 24466
+ - upgrade package uothesis 22489 -> 23485
+ - upgrade package york-thesis 18148 -> 23348
+ - deleted package msuthesis
+ - deleted package vxu
+
+texlive-publishers 2011.22647
+
+ - upgrade package elteikthesis 19800 -> 22513
+ - upgrade package toptesi 22063 -> 22647
+ - upgrade package tugboat 20545 -> 22462
+ - new package uafthesis
+ - new package unamthesis
+ - upgrade package uothesis 22075 -> 22489
+
+texlive-publishers 2010.22075-1
+
+ - upgrade package aomart 20919 -> 21666
+ - new package apa6e
+ - upgrade package classicthesis 18063 -> 21196
+ - new package cmpj
+ - upgrade package elbioimp 20469 -> 21758
+ - new package fbithesis
+ - upgrade package jmlr 20630 -> 21830
+ - upgrade package lps 15878 -> 21322
+ - upgrade package nature 15878 -> 21819
+ - upgrade package ryethesis 19255 -> 21316
+ - upgrade package toptesi 20458 -> 22063
+ - upgrade package tugboat-plain 15878 -> 21720
+ - upgrade package uothesis 20890 -> 22075
+

Copied: texlive-publishers/repos/testing-any/PKGBUILD (from rev 144313, 
texlive-publishers/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD                                (rev 0)
+++ testing-any/PKGBUILD        2011-12-04 17:36:43 UTC (rev 144314)
@@ -0,0 +1,43 @@
+# Maintainer: Firmicus <firmicus āt gmx dōt net>
+# Maintainer: Rémy Oudompheng <r...@archlinux.org>
+
+pkgname=texlive-publishers
+pkgver=2011.24723
+_revnr=${pkgver#2011.}
+pkgrel=1
+pkgdesc="TeX Live - LaTeX classes and packages for specific publishers"
+license=('GPL')
+arch=(any)
+depends=('texlive-core')
+groups=('texlive-most')
+url='http://tug.org/texlive/'
+source=("ftp://ftp.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip";)
+options=('!emptydirs')
+options=(!strip)
+install=texlive.install
+md5sums=('552991914d8b43181018918d06983e61')
+
+build() {
+   for p in *.tar.xz; do
+          bsdtar -xf $p
+   done
+   rm -rf {tlpkg,doc,source} || true
+}
+package() {
+   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
+   sed -i '/^#/d' CONTENTS
+   install -m644 CONTENTS 
$pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
+   install -m755 -d $pkgdir/usr/share
+   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; 
done) || true
+   for dir in $wanteddirs; do
+     find $dir -type d -exec install -d -m755 
$pkgdir/usr/share/texmf-dist/'{}' \;
+     find $dir -type f -exec install -m644 '{}' 
$pkgdir/usr/share/texmf-dist/'{}' \;
+   done
+   if [[ -d texmf-dist ]]; then
+     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
+     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
+   fi
+   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
+     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+   fi
+}

Copied: texlive-publishers/repos/testing-any/texlive.install (from rev 144313, 
texlive-publishers/trunk/texlive.install)
===================================================================
--- testing-any/texlive.install                         (rev 0)
+++ testing-any/texlive.install 2011-12-04 17:36:43 UTC (rev 144314)
@@ -0,0 +1,12 @@
+post_install() {
+       echo    ">>> texlive: updating the filename database..."
+       /usr/bin/mktexlsr
+}
+
+post_upgrade() {
+  post_install
+}
+
+post_remove() {
+  post_install
+}

Reply via email to